unit PrevInstance;

interface

uses
 WinTypes;

procedure RegisterThisInstance(appName: String);
procedure UnRegisterThisInstance();
function IsNextInstance: Boolean;

var
  ThisInstanceMessageId: UINT;
  MutexHandle:THandle;
  UniqueKey  : string;

implementation


procedure RegisterThisInstance(appName: String);
begin
 UniqueKey  := appName;
 ThisInstanceMessageId := RegisterWindowMessage(PChar(appName));
end;

function IsNextInstance: Boolean;
begin
 IsNextInstance := False;
 MutexHandle:=0;
 MutexHandle:=CreateMutex( nil, True, PChar(UniqueKey));
 if MutexHandle<>0 then
  begin
   if GetLastError=ERROR_ALREADY_EXISTS then
    begin
     IsNextInstance:=TRUE;
     CLOSEHANDLE(MutexHandle);
     MutexHandle:=0;
    end;
  end;
end;

procedure UnRegisterThisInstance();
begin
 if MutexHandle<>0 then
  CloseHandle(MutexHandle);
end;

end.

