unit UHostEntry;

interface

type
  TiXplorerHostEntry = class(TObject)
    function UseDefaultPwd: Boolean;
    function UseDefaultUsername: Boolean;
    function GetHostPath(): String;
    function GetLocalDirPath(): String;
    function GetUsername(): String;
    function GetPortNumStr(): String;
    function GetTimeout(): Integer;
    function GetFilepos(): Integer;
    function PreserveAttribIsSet(): Boolean;
    function HideConsoleIsSet(): Boolean;
    function FixPositionIsSet(): Boolean;
    procedure SetDefaultPwd(value: Boolean);
    procedure SetDefaultUsername(value: Boolean);
    procedure SetHostPath(str: String);
    procedure SetLocalDirPath(str: String);
    procedure SetUsername(str: String);
    procedure SetPortNumStr(str: String);
    procedure SetTimeout(i: Integer);
    procedure SetFilepos(i: Integer);
    procedure SetPreserveAttrib(b: Boolean);
    procedure SetHideConsole(b: Boolean);
    procedure SetFixPosition(b: Boolean);
  private
    bDefaultPwd,bDefaultUsername,
    mPreserveAttrib: Boolean;
    mHideConsole,mFixPosition: Boolean;
    mUsernameStr,mHostPathStr,
    mPortNumStr,mLocalDirStr: String;
    mTimeout,mFilepos: Integer;
  public
    constructor Create();
    destructor Destroy; override;
  end;

implementation

constructor TiXplorerHostEntry.Create();
begin
  inherited Create();  // Initialize inherited parts
  mHideConsole:=TRUE; //Default is TRUE
end;

destructor TiXplorerHostEntry.Destroy;
begin
  inherited Destroy;
end;

function TiXplorerHostEntry.UseDefaultPwd: Boolean;
begin
 UseDefaultPwd:=bDefaultPwd;
end;

function TiXplorerHostEntry.UseDefaultUsername: Boolean;
begin
 UseDefaultUsername:=bDefaultUsername;
end;

function TiXplorerHostEntry.GetHostPath(): String;
begin
 GetHostPath:=mHostPathStr;
end;

function TiXplorerHostEntry.GetLocalDirPath(): String;
begin
 GetLocalDirPath:= mLocalDirStr;
end;

function TiXplorerHostEntry.GetUsername(): String;
begin
 GetUsername:=mUsernameStr;
end;

function TiXplorerHostEntry.GetPortNumStr(): String;
begin
 GetPortNumStr:=mPortNumStr;
end;

function TiXplorerHostEntry.GetTimeout(): Integer;
begin
 GetTimeout:=mTimeout;
end;

function TiXplorerHostEntry.GetFilepos(): Integer;
begin
 GetFilepos:=mFilepos;
end;

procedure TiXplorerHostEntry.SetDefaultPwd(value: Boolean);
begin
 bDefaultPwd:=value;
end;

procedure TiXplorerHostEntry.SetDefaultUsername(value: Boolean);
begin
 bDefaultUsername:=value;
end;

procedure TiXplorerHostEntry.SetHostPath(str: String);
begin
 mHostPathStr:=str;
end;

procedure TiXplorerHostEntry.SetLocalDirPath(str: String);
begin
 mLocalDirStr:=str;
end;

procedure TiXplorerHostEntry.SetUsername(str: String);
begin
 mUsernameStr:=str;
end;

procedure TiXplorerHostEntry.SetPortNumStr(str: String);
begin
 mPortNumStr:=str;
end;

procedure TiXplorerHostEntry.SetTimeout(i: Integer);
begin
 mTimeout:=i;
end;

procedure TiXplorerHostEntry.SetFilepos(i: Integer);
begin
 mFilepos:=i;
end;

function TiXplorerHostEntry.PreserveAttribIsSet(): Boolean;
begin
 PreserveAttribIsSet:=mPreserveAttrib;
end;

procedure TiXplorerHostEntry.SetPreserveAttrib(b: Boolean);
begin
 mPreserveAttrib:=b;
end;

function TiXplorerHostEntry.HideConsoleIsSet(): Boolean;
begin
 HideConsoleIsSet:=mHideConsole;
end;

procedure TiXplorerHostEntry.SetHideConsole(b: Boolean);
begin
 mHideConsole:=b;
end;

function TiXplorerHostEntry.FixPositionIsSet(): Boolean;
begin
 FixPositionIsSet:=mFixPosition;
end;

procedure TiXplorerHostEntry.SetFixPosition(b: Boolean);
begin
 mFixPosition:=b;
end;

end.
